import getFormValues from '@theoryofnekomata/formxtr'
import {FormEvent} from 'react'
import {createFetchClient, FetchClient} from '../../utils/api/fetch'
import * as endpoints from './endpoints'

export default class RingtoneClient {
	private readonly fetchClient: FetchClient
	constructor() {
		this.fetchClient = createFetchClient({
			baseUrl: process.env.NEXT_PUBLIC_API_BASE_URL,
		})
	}

	save = async (e: FormEvent & { submitter: HTMLInputElement | HTMLButtonElement }) => {
		e.preventDefault()
		const values = getFormValues(e.target as HTMLFormElement, e.submitter)
		const response = await this.fetchClient(endpoints.create(values))
		alert(response.statusText)
	}
}
